#!/bin/sh
date="2013-06-28"
tar_name=eclipse-checkstyle-5.6.1

rm -fr $tar_name && mkdir $tar_name
pushd $tar_name

# Fetch plugins
for f in \
net.sf.eclipsecs.branding \
net.sf.eclipsecs.checkstyle \
net.sf.eclipsecs.core \
net.sf.eclipsecs.doc \
net.sf.eclipsecs.sample \
net.sf.eclipsecs.parent \
net.sf.eclipsecs.ui \
net.sf.eclipsecs-feature \
net.sf.eclipsecs-updatesite \
; do
cvs -d :pserver:anonymous@eclipse-cs.cvs.sourceforge.net:/cvsroot/eclipse-cs \
  export -D "$date" $f;
done

popd
# create archive
tar -caf $tar_name.tar.xz $tar_name
